diff -uwr source/scripts/Crc32.h 4.0/source/scripts/Crc32.h
--- source/scripts/Crc32.h	2010-05-31 11:58:16.000000000 +0800
+++ 4.0/source/scripts/Crc32.h	2011-10-11 21:56:39.401367100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 class FileClass;
diff -uwr source/scripts/CriticalSectionClass.cpp 4.0/source/scripts/CriticalSectionClass.cpp
--- source/scripts/CriticalSectionClass.cpp	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/CriticalSectionClass.cpp	2011-10-11 23:04:03.486328100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "CriticalSectionClass.h"
 
diff -uwr source/scripts/CriticalSectionClass.h 4.0/source/scripts/CriticalSectionClass.h
--- source/scripts/CriticalSectionClass.h	2011-05-22 21:22:28.000000000 +0800
+++ 4.0/source/scripts/CriticalSectionClass.h	2011-10-11 21:56:37.642578100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__CRITICALSECTIONCLASS_H
 #define TT_INCLUDE__CRITICALSECTIONCLASS_H
 
diff -uwr source/scripts/CullSystemClass.h 4.0/source/scripts/CullSystemClass.h
--- source/scripts/CullSystemClass.h	2009-11-09 18:47:58.000000000 +0800
+++ 4.0/source/scripts/CullSystemClass.h	2011-10-11 21:56:34.261718700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_CULLSYSTEMCLASS_H
 #define TT_INCLUDE_CULLSYSTEMCLASS_H
 #include "CullableClass.h"
diff -uwr source/scripts/CullableClass.h 4.0/source/scripts/CullableClass.h
--- source/scripts/CullableClass.h	2009-11-09 18:47:32.000000000 +0800
+++ 4.0/source/scripts/CullableClass.h	2011-10-11 21:56:35.818359300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__CULLABLECLASS_H
 #define TT_INCLUDE__CULLABLECLASS_H
 #include "AABoxClass.h"
diff -uwr source/scripts/DamageZoneGameObj.h 4.0/source/scripts/DamageZoneGameObj.h
--- source/scripts/DamageZoneGameObj.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/DamageZoneGameObj.h	2011-10-11 21:56:28.727539000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_DAMAGEZONEGAMEOBJ_H
 #define TT_INCLUDE_DAMAGEZONEGAMEOBJ_H
 #include "DamageZoneGameObjDef.h"
diff -uwr source/scripts/DamageZoneGameObjDef.h 4.0/source/scripts/DamageZoneGameObjDef.h
--- source/scripts/DamageZoneGameObjDef.h	2009-12-24 19:58:00.000000000 +0800
+++ 4.0/source/scripts/DamageZoneGameObjDef.h	2011-10-11 21:56:26.795898400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_DAMAGEZONEGAMEOBJDEF_H
 #define TT_INCLUDE_DAMAGEZONEGAMEOBJDEF_H
 #include "BaseGameObjDef.h"
diff -uwr source/scripts/DamageableGameObj.h 4.0/source/scripts/DamageableGameObj.h
--- source/scripts/DamageableGameObj.h	2011-05-24 17:05:38.000000000 +0800
+++ 4.0/source/scripts/DamageableGameObj.h	2011-10-11 21:56:32.453125000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_DAMAGEABLEGAMEOBJ_H
 #define TT_INCLUDE_DAMAGEABLEGAMEOBJ_H
 #include "ScriptableGameObj.h"
diff -uwr source/scripts/DamageableGameObjDef.h 4.0/source/scripts/DamageableGameObjDef.h
--- source/scripts/DamageableGameObjDef.h	2011-08-07 14:03:42.000000000 +0800
+++ 4.0/source/scripts/DamageableGameObjDef.h	2011-10-11 21:56:30.630859300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_DAMAGEABLEGAMEOBJDEF_H
 #define TT_INCLUDE_DAMAGEABLEGAMEOBJDEF_H
 #include "ScriptableGameObjDef.h"
diff -uwr source/scripts/DecorationPhysClass.h 4.0/source/scripts/DecorationPhysClass.h
--- source/scripts/DecorationPhysClass.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/DecorationPhysClass.h	2011-10-11 21:56:14.285156200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__DECORATIONPHYSCLASS_H
 #define TT_INCLUDE__DECORATIONPHYSCLASS_H
 
diff -uwr source/scripts/DecorationPhysDefClass.h 4.0/source/scripts/DecorationPhysDefClass.h
--- source/scripts/DecorationPhysDefClass.h	2010-04-14 17:12:48.000000000 +0800
+++ 4.0/source/scripts/DecorationPhysDefClass.h	2011-10-11 21:56:12.504882800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__DECORATIONPHYSDEFCLASS_H
 #define TT_INCLUDE__DECORATIONPHYSDEFCLASS_H
 
diff -uwr source/scripts/DefaultConnectionAcceptanceFilter.cpp 4.0/source/scripts/DefaultConnectionAcceptanceFilter.cpp
--- source/scripts/DefaultConnectionAcceptanceFilter.cpp	2011-09-03 08:29:36.000000000 +0800
+++ 4.0/source/scripts/DefaultConnectionAcceptanceFilter.cpp	2011-10-11 23:03:57.536132800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "DefaultConnectionAcceptanceFilter.h"
 #include "GameData.h"
diff -uwr source/scripts/DefaultConnectionAcceptanceFilter.h 4.0/source/scripts/DefaultConnectionAcceptanceFilter.h
--- source/scripts/DefaultConnectionAcceptanceFilter.h	2010-07-03 10:22:36.000000000 +0800
+++ 4.0/source/scripts/DefaultConnectionAcceptanceFilter.h	2011-10-11 21:56:10.666992100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "ConnectionAcceptanceFilter.h"
diff -uwr source/scripts/DefenseObjectClass.h 4.0/source/scripts/DefenseObjectClass.h
--- source/scripts/DefenseObjectClass.h	2010-05-31 12:35:06.000000000 +0800
+++ 4.0/source/scripts/DefenseObjectClass.h	2011-10-11 21:56:08.841796800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__DEFENSEOBJECTCLASS_H
 #define TT_INCLUDE__DEFENSEOBJECTCLASS_H
 #include "DataSafe.h"
diff -uwr source/scripts/DefenseObjectDefClass.h 4.0/source/scripts/DefenseObjectDefClass.h
--- source/scripts/DefenseObjectDefClass.h	2011-05-24 13:59:40.000000000 +0800
+++ 4.0/source/scripts/DefenseObjectDefClass.h	2011-10-11 21:56:07.009765600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_DEFENSEOBJECTDEFCLASS_H
 #define TT_INCLUDE_DEFENSEOBJECTDEFCLASS_H
 #include "DataSafe.h"
diff -uwr source/scripts/Defines.h 4.0/source/scripts/Defines.h
--- source/scripts/Defines.h	2011-05-24 09:40:34.000000000 +0800
+++ 4.0/source/scripts/Defines.h	2011-10-14 19:58:40.176757800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__DEFINES_H
 #define TT_INCLUDE__DEFINES_H
 
@@ -5,7 +16,7 @@
 
 #include "Types.h"
 #include "stdarg.h"
-#if (WWCONFIG) || (TDBEDIT) || (W3DSHADER) || (W3DLIB_EXPORTS) || (W3DMESHMENDER) || (W3DDEPENDS) || (W3DMAPPER) || (ACHASH) || (PACKAGEEDITOR) || (FIXPLANES) || (MERGELOD) || (MIXCHECK) || (DDBEDIT)
+#if (WWCONFIG) || (TDBEDIT) || (W3DSHADER) || (W3DLIB_EXPORTS) || (W3DMESHMENDER) || (W3DDEPENDS) || (W3DMAPPER) || (ACHASH) || (PACKAGEEDITOR) || (FIXPLANES) || (MERGELOD) || (MIXCHECK) || (DDBEDIT) || (MAKEMIX)
 #define EXTERNAL 1
 #endif
 
@@ -212,7 +223,6 @@
 SCRIPTS_API void InitEngine();
 SCRIPTS_API int		RenegadeAT3VersionSelector(); // Default implementation, used by AT1/AT2
 SCRIPTS_API void*	HookupAT3(void* a, void* b, void* c, void* patch_start, void* patch_end, int (*function_selector)());
-void* HookupAT3x(void* a, void* b, void* c, void* patch_start, void* patch_end, int (*version_selector)());
 #define RENEGADE_FUNCTION  __declspec(naked)
 #ifndef TTLE_EXPORTS
 #define AT1(client)						AT2(client, 0)
@@ -233,7 +243,7 @@
 	__asm push c					\
 	__asm push b					\
 	__asm push a					\
-	__asm call HookupAT3x			\
+	__asm call HookupAT3			\
 	__asm AT3PatchEnd:				\
 	__asm add esp, 24				\
 	__asm pop edx					\
diff -uwr source/scripts/Definition.h 4.0/source/scripts/Definition.h
--- source/scripts/Definition.h	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/Definition.h	2011-10-11 21:56:03.347656200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_DEFINITION_H
 #define TT_INCLUDE_DEFINITION_H
 #include "Editable.h"
diff -uwr source/scripts/DefinitionFactoryClass.cpp 4.0/source/scripts/DefinitionFactoryClass.cpp
--- source/scripts/DefinitionFactoryClass.cpp	2009-11-09 18:57:52.000000000 +0800
+++ 4.0/source/scripts/DefinitionFactoryClass.cpp	2011-10-11 23:03:52.634765600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "DefinitionFactoryClass.h"
 #include "DefinitionFactoryMgrClass.h"
diff -uwr source/scripts/DefinitionFactoryClass.h 4.0/source/scripts/DefinitionFactoryClass.h
--- source/scripts/DefinitionFactoryClass.h	2009-11-09 18:57:52.000000000 +0800
+++ 4.0/source/scripts/DefinitionFactoryClass.h	2011-10-11 21:56:01.538085900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_DEFINITIONFACTORYCLASS_H
 #define TT_INCLUDE_DEFINITIONFACTORYCLASS_H
 #include "Definition.h"
diff -uwr source/scripts/DefinitionFactoryMgrClass.cpp 4.0/source/scripts/DefinitionFactoryMgrClass.cpp
--- source/scripts/DefinitionFactoryMgrClass.cpp	2011-05-25 22:29:16.000000000 +0800
+++ 4.0/source/scripts/DefinitionFactoryMgrClass.cpp	2011-10-11 23:03:50.954101500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "DefinitionFactoryMgrClass.h"
 #include "DefinitionFactoryClass.h"
diff -uwr source/scripts/DefinitionFactoryMgrClass.h 4.0/source/scripts/DefinitionFactoryMgrClass.h
--- source/scripts/DefinitionFactoryMgrClass.h	2011-05-25 22:29:16.000000000 +0800
+++ 4.0/source/scripts/DefinitionFactoryMgrClass.h	2011-10-11 21:55:59.708007800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_DEFINITIONFACTORYMGRCLASS_H
 #define TT_INCLUDE_DEFINITIONFACTORYMGRCLASS_H
 class DefinitionFactoryClass;
diff -uwr source/scripts/DefinitionMgrClass.cpp 4.0/source/scripts/DefinitionMgrClass.cpp
--- source/scripts/DefinitionMgrClass.cpp	2011-08-25 11:23:58.000000000 +0800
+++ 4.0/source/scripts/DefinitionMgrClass.cpp	2011-10-11 23:03:49.376953100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 #include "TwiddlerClass.h"
 #include "DefinitionMgrClass.h"
diff -uwr source/scripts/DefinitionMgrClass.h 4.0/source/scripts/DefinitionMgrClass.h
--- source/scripts/DefinitionMgrClass.h	2011-08-30 11:13:36.000000000 +0800
+++ 4.0/source/scripts/DefinitionMgrClass.h	2011-10-11 21:55:57.882812500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__DEFINITIONMGRCLASS_H
 #define TT_INCLUDE__DEFINITIONMGRCLASS_H
 
diff -uwr source/scripts/DialogueClass.h 4.0/source/scripts/DialogueClass.h
--- source/scripts/DialogueClass.h	2011-05-24 18:42:32.000000000 +0800
+++ 4.0/source/scripts/DialogueClass.h	2011-10-11 21:55:41.979492100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__DIALOGUECLASS_H
 #define TT_INCLUDE__DIALOGUECLASS_H
 #include "engine_vector.h"
diff -uwr source/scripts/DynamicPhysClass.h 4.0/source/scripts/DynamicPhysClass.h
--- source/scripts/DynamicPhysClass.h	2009-11-09 18:58:08.000000000 +0800
+++ 4.0/source/scripts/DynamicPhysClass.h	2011-10-11 21:55:09.958984300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__DYNAMICPHYSCLASS_H
 #define TT_INCLUDE__DYNAMICPHYSCLASS_H
 
diff -uwr source/scripts/DynamicPhysDefClass.h 4.0/source/scripts/DynamicPhysDefClass.h
--- source/scripts/DynamicPhysDefClass.h	2009-12-24 19:36:40.000000000 +0800
+++ 4.0/source/scripts/DynamicPhysDefClass.h	2011-10-11 21:54:51.746093700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__DYNAMICPHYSDEFCLASS_H
 #define TT_INCLUDE__DYNAMICPHYSDEFCLASS_H
 
diff -uwr source/scripts/DynamicShadowManager.h 4.0/source/scripts/DynamicShadowManager.h
--- source/scripts/DynamicShadowManager.h	2009-11-09 18:58:08.000000000 +0800
+++ 4.0/source/scripts/DynamicShadowManager.h	2011-10-11 21:54:48.922851500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_DYNAMICSHADOWMANAGER_H
 #define TT_INCLUDE_DYNAMICSHADOWMANAGER_H
 class PhysClass;
diff -uwr source/scripts/Editable.h 4.0/source/scripts/Editable.h
--- source/scripts/Editable.h	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/Editable.h	2011-10-11 21:54:35.879882800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_EDITABLE_H
 #define TT_INCLUDE_EDITABLE_H
 #include "Persist.h"
diff -uwr source/scripts/ExtendedNetworkObject.h 4.0/source/scripts/ExtendedNetworkObject.h
--- source/scripts/ExtendedNetworkObject.h	2010-06-24 08:08:36.000000000 +0800
+++ 4.0/source/scripts/ExtendedNetworkObject.h	2011-10-11 21:53:07.054687500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 //
 // This class is to allow virtuals to be added to a NetworkObjectClass without
 // having to change the offsets of the base class.
diff -uwr source/scripts/FileFactoryListClass.cpp 4.0/source/scripts/FileFactoryListClass.cpp
--- source/scripts/FileFactoryListClass.cpp	2009-11-13 16:39:14.000000000 +0800
+++ 4.0/source/scripts/FileFactoryListClass.cpp	2011-10-11 23:04:17.790039000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 
 #include "FileFactoryListClass.h"
@@ -65,7 +76,7 @@
 	}
 }
 
-#ifndef WWCONFIG
+#if !defined(WWCONFIG) && !defined(PACKAGEEDITOR)
 #pragma warning(disable: 4073) //warning C4073: initializers put in library initialization area - That's EXACTLY why I put that pragma in...
 #pragma init_seg(lib) // Move this files static initializers up a level
 #pragma warning(default: 4073)
